ALTER TABLE QUESTIONNAIRE
ADD EXPIRY_DATE DATE;

ALTER TABLE QUESTION
ADD STRING_VALUE_EXPECTED VARCHAR2(500 CHAR);

ALTER TABLE QUESTION
ADD NUMBER_VALUE_EXPECTED NUMBER;

ALTER TABLE QUESTION
ADD DATE_VALUE_EXPECTED DATE;

ALTER TABLE QUESTIONNAIRE_ANSWER_MASTER
ADD ID_LASTNIKA_PARENT NUMBER;

INSERT INTO QUESTIONNAIRE_TYPE(ID, OPIS, INTERNI_OPIS, ACT) 
VALUES (11, 'Online induction', 'Online induction', 'Y');

INSERT INTO QUESTIONNAIRE_TYPE(ID, OPIS, INTERNI_OPIS, ACT) 
VALUES (12, 'New contact', 'New contact', 'Y');

DROP VIEW V_QUESTIONNAIRE_ANSWER_MASTER;

CREATE OR REPLACE VIEW V_QUESTIONNAIRE_ANSWER_MASTER AS (
	SELECT QAM.ID, QAM.ID_MARINA_EVENT, QAM.ID_QUESTIONNAIRE, QAM.STATUS, QAM.ID_LASTNIKA, QAM.ID_PLOVILA, QAM.DATE_CREATED, QAM.ID_DN,
  QU.NAME AS QUESTIONNAIRE_NAME, QU.TYPE AS QUESTIONNAIRE_TYPE, QU.ID_PRINT_MODULE AS QUESTIONNAIRE_ID_PRINT_MODULE, PL.IME AS PLOVILA_IME,
  (CASE WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE FILTER = 'MARINA' AND SEKCIJA = 'MARINA' AND NAZIV = 'ChangeFirstLastName') = '1' THEN (KU.IME || ' ' || KU.PRIIMEK) ELSE (KU.PRIIMEK || ' ' || KU.IME) END) AS OWNER,
  (CASE WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE FILTER = 'MARINA' AND SEKCIJA = 'MARINA' AND NAZIV = 'ChangeFirstLastName') = '1' THEN (KUPAR.IME || ' ' || KUPAR.PRIIMEK) ELSE (KUPAR.PRIIMEK || ' ' || KUPAR.IME) END) AS OWNER_PARENT
	FROM QUESTIONNAIRE_ANSWER_MASTER QAM
  LEFT OUTER JOIN QUESTIONNAIRE QU ON QU.ID = QAM.ID_QUESTIONNAIRE
  LEFT OUTER JOIN KUPCI KU ON KU.ID = QAM.ID_LASTNIKA
  LEFT OUTER JOIN KUPCI KUPAR ON KUPAR.ID = QAM.ID_LASTNIKA_PARENT
  LEFT OUTER JOIN PLOVILA PL ON PL.ID = QAM.ID_PLOVILA
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1639, SYSDATE, '5.5', 1559, 'Questionnaires')
;