CREATE TABLE VERIFICATION_CODE (
ID_VERIFICATION_CODE NUMBER NOT NULL,
CODE VARCHAR2(6 CHAR),
TELEPHONE_NUMBER VARCHAR2(50 CHAR),
DATE_CREATED DATE,
ID_SMS NUMBER,
CONSTRAINT VERIFICATION_CODE_PK PRIMARY KEY (ID_VERIFICATION_CODE),
CONSTRAINT VERIFICATION_CODE_ID_SMS_FK FOREIGN KEY (ID_SMS) REFERENCES SMS(ID)
);

CREATE INDEX IX_VER_CODE_TELEPHONE_NUMBER ON VERIFICATION_CODE (TELEPHONE_NUMBER);
CREATE INDEX IX_VER_CODE_ID_SMS ON VERIFICATION_CODE (ID_SMS);

CREATE SEQUENCE VERIFICATION_CODE_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1648, SYSDATE, '5.5', 1568, 'Verification code')
;