ALTER TABLE NNVRSKUP
ADD CREDIT_LIMIT_ID_TYPE NUMBER;

ALTER TABLE NNVRSKUP
ADD CREDIT_LIMIT_AMOUNT NUMBER;

ALTER TABLE FB_PRICE_LIST
ADD DAYS VARCHAR2(20 CHAR);

CREATE TABLE FB_PRICE_LIST_SPECIAL (
  ID_FB_PRICE_LIST_SPECIAL NUMBER NOT NULL,
  ID_FB_PRICE_LIST NUMBER NOT NULL,
  NAME VARCHAR2(200 CHAR),
  DATE_FROM DATE,
  DATE_TO DATE,
  HOUR_FROM VARCHAR2(5 CHAR),
  HOUR_TO VARCHAR2(5 CHAR),
  DAYS VARCHAR2(20 CHAR),
  RATE VARCHAR2(3 CHAR),
  PERCENTAGE NUMBER,
  ROUNDING VARCHAR2(10 CHAR),
  DATE_CREATED DATE,
  USER_CREATED VARCHAR2(20 CHAR),
  DATE_CHANGED DATE,
  USER_CHANGED VARCHAR2(20 CHAR),
  ACTIVE VARCHAR2(1 CHAR),
  CONSTRAINT FB_PRICE_LIST_SPECIAL_PK PRIMARY KEY (ID_FB_PRICE_LIST_SPECIAL),
  CONSTRAINT FPLS_ID_FB_PRICE_LIST_FK FOREIGN KEY (ID_FB_PRICE_LIST) REFERENCES FB_PRICE_LIST(ID_FB_PRICE_LIST)
);

CREATE INDEX IX_FPLS_ID_FB_PRICE_LIST ON FB_PRICE_LIST_SPECIAL (ID_FB_PRICE_LIST);

CREATE SEQUENCE FB_PRICE_LIST_SPECIAL_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

CREATE OR REPLACE VIEW V_FB_PRICE_LIST_SPECIAL
AS (
SELECT FPS.ID_FB_PRICE_LIST_SPECIAL, FPS.ID_FB_PRICE_LIST, FPS.NAME, FPS.DATE_FROM, FPS.DATE_TO, FPS.HOUR_FROM, FPS.HOUR_TO, FPS.DAYS, FPS.RATE, FPS.PERCENTAGE, FPS.ROUNDING,
FPS.DATE_CREATED, FPS.USER_CREATED, FPS.DATE_CHANGED, FPS.USER_CHANGED, FPS.ACTIVE
FROM FB_PRICE_LIST_SPECIAL FPS
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1705, SYSDATE, '5.5', 1625, 'FB_PRICE_LIST_SPECIAL')
;